"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _react2 = require("@momentum-ui/react");

var styles = {
  "controlContainer": "controlContainer--1zPXQ",
  "controlItem": "controlItem--Jb6Vr",
  "button": "button--146DH"
}; // @related-file ./styles.css

var propTypes = {
  buttons: _propTypes.default.arrayOf(_propTypes.default.shape({
    accessibilityLabel: _propTypes.default.string,
    label: _propTypes.default.string,
    buttonClassName: _propTypes.default.string,
    buttonType: _propTypes.default.oneOfType([_propTypes.default.oneOf(['chat', 'camera', 'meetings', 'whiteboard', 'files', 'share-screen', 'tasks', 'microphone-muted', 'camera-muted', 'cancel']), _propTypes.default.shape({
      color: _propTypes.default.string,
      icon: _propTypes.default.element.isRequired
    })]),
    callControl: _propTypes.default.bool,
    onClick: _propTypes.default.func
  })).isRequired,
  showLabels: _propTypes.default.bool
};
var defaultProps = {
  showLabels: false
};

function ButtonControls(props) {
  var buttons = props.buttons,
      showLabels = props.showLabels;
  var buttonsRendered = buttons.map(function (button, idx) {
    var label = showLabels && button.label ? button.label : '';
    var ariaLabel = button.accessibilityLabel || button.label;
    var key = button.key || "button-controls-".concat(idx);

    if (button.callControl) {
      return _react.default.createElement(_react2.CallControl, {
        active: button.active,
        ariaLabel: ariaLabel,
        key: key,
        label: label,
        onClick: button.onClick,
        type: button.buttonType
      });
    }

    return _react.default.createElement(_react2.ActivityButton, {
      active: button.active,
      ariaLabel: ariaLabel,
      key: key,
      label: label,
      onClick: button.onClick,
      type: button.buttonType
    });
  });
  return _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-controls-container', styles.controlContainer)
  }, buttonsRendered);
}

ButtonControls.propTypes = propTypes;
ButtonControls.defaultProps = defaultProps;
var _default = ButtonControls;
exports.default = _default;